adaptor_base.hpp File Reference
`#include "msgpack/v1/adaptor/adaptor_base_decl.hpp"`

Go to the source code of this file.

## Classes

struct | msgpack::adaptor::convert< T, Enabler >
struct | msgpack::adaptor::pack< T, Enabler >
struct | msgpack::adaptor::object< T, Enabler >
struct | msgpack::adaptor::object_with_zone< T, Enabler >

## Namespaces

| msgpack
| msgpack::adaptor

## Functions

template<typename T >
msgpack::enable_if< !is_array< T >::value, msgpack::object const & >::type | msgpack::operator>> (msgpack::object const &o, T &v)
template<typename T , std::size_t N>
msgpack::object const & | msgpack::operator>> (msgpack::object const &o, T(&v)[N])
template<typename Stream , typename T >
msgpack::enable_if< !is_array< T >::value, msgpack::packer< Stream > & >::type | msgpack::operator<< (msgpack::packer< Stream > &o, T const &v)
template<typename Stream , typename T , std::size_t N>
msgpack::packer< Stream > & | msgpack::operator<< (msgpack::packer< Stream > &o, const T(&v)[N])
template<typename T >
msgpack::enable_if< !is_array< T >::value >::type | msgpack::operator<< (msgpack::object &o, T const &v)
template<typename T , std::size_t N>
void | msgpack::operator<< (msgpack::v1::object &o, const T(&v)[N])
template<typename T >
msgpack::enable_if< !is_array< T >::value >::type | msgpack::operator<< (msgpack::object::with_zone &o, T const &v)
template<typename T , std::size_t N>
void | msgpack::operator<< (msgpack::object::with_zone &o, const T(&v)[N])